Skip to main content
POST
/
payment-methods
/
{payment_method_id}
/
network-tokens
/
{network_token_id}
/
cryptogram
Issue cryptogram
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/payment-methods/{payment_method_id}/network-tokens/{network_token_id}/cryptogram");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n  \"merchant_initiated\": false\n}", false);
var response = await client.PostAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "cryptogram": "<string>"
}
This endpoint requires the payment-methods.write scope. Network token provisioning via the API is not enabled by default in production. Please contact support for further guidance.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payment_method_id
string<uuid>
required

The ID of the payment method.

Example:

"46973e9d-88a7-44a6-abfe-be4ff0134ff4"

network_token_id
string<uuid>
required

The ID of the network token.

Example:

"454f6a32-a572-4dda-b885-3e8674086123"

Body

application/json

Request body for issue a cryptogram for a network token.

merchant_initiated
boolean
default:false
required

Defines if the request is merchant initiated or not.

Example:

false

Response

Returns the created network token.

A network token cryptogram.

cryptogram
string

The cryptogram of the network token.